| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Variables
region.h File Reference

## Classes
class | wxRegionIterator
| This class is used to iterate through the rectangles in a region, typically when examining the damaged regions of a window within an OnPaint call. More...
class | wxRegion
| A wxRegion represents a simple or complex region on a device context or window. More...

## Enumerations
enum | wxRegionContain { wxOutRegion = 0, wxPartRegion = 1, wxInRegion = 2 }
| Types of results returned from a call to wxRegion::Contains(). More...

## Variables
wxRegion | wxNullRegion
| An empty region.

## Enumeration Type Documentation

enum wxRegionContain

Types of results returned from a call to wxRegion::Contains().

Enumerator:

  wxOutRegion | The specified value is not contained within this region.
  wxPartRegion | The specified value is partially contained within this region. On Windows, this result is not supported. wxInRegion will be returned instead.
  wxInRegion | The specified value is fully contained within this region. On Windows, this result will be returned even if only part of the specified value is contained in this region.

## Variable Documentation

wxRegion wxNullRegion

An empty region.